## Called by 'items/item_magnet/player_loop'
## Magnetize the nearest item or grounded arrow and apply durability penalty unless inventory is static
# This is used to check if the player is unable to pick up items
execute if entity @s[advancements={multipack:inventory_changed=false}] run return 0
advancement revoke @s only multipack:inventory_changed

# Magnetize an item or arrow
scoreboard players set &boolean multipack.temp 0
execute store success score &boolean multipack.temp run tp @e[distance=1.4..16,type=item,nbt={PickupDelay:0s},sort=nearest,limit=1] @s
execute if score &boolean multipack.temp matches 0 store success score &boolean multipack.temp as @e[distance=1.4..8,type=#arrows,nbt={pickup:1b,inGround:1b},sort=nearest,limit=1] run function multipack:items/item_magnet/magnetize_arrow
execute if score &boolean multipack.temp matches 0 run return run advancement grant @s only multipack:inventory_changed

# Durability penalty. 50% chance and must differentiate mainhand and offhand first
execute unless predicate multipack:chance/50.0_percent run return 1
execute if predicate multipack:items/item_magnet run scoreboard players set &itemID multipack.temp 1
execute if predicate multipack:items/item_magnet_offhand run scoreboard players set &itemID multipack.temp -1
execute if function multipack:items/damage_item if score &itemDamage multipack.temp matches 100.. at @s run function multipack:items/break_item {"item":"amethyst_shard"}
